# wanha - your pesky URL-guardian for IRC
# Copyright (C) 2006 Tommi Saviranta  <wnd@iki.fi>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


package RLang;

use strict;
use warnings FATAL => 'all';
use diagnostics;


my %txt;

$txt{"title-short"} = "wanha";
$txt{"title-long"} = "wanha - web-käyttöliittymä";

$txt{"chan-summary"} = "Kanavan %s yhteenveto";
$txt{"chan-last-n-urls"} = "Kanavan %d viimeisitä linkkiä";
$txt{"chan-urls-range"} = "Linkit %d - %d";
$txt{"chan-hist-for"} = "Kanavan %s linkkihistoria";

$txt{"chanstat-for"} = "Kanavan %s linkkitilastot";
$txt{"chanstat-hourly"} = "Linkit tunneittain";
$txt{"chanstat-weekdaily"} = "Linkit viikonpäivittäin";
$txt{"chanstat-misc"} = "Sekalaista tilastoa";
$txt{"chanstat-urls-wanha-perc"} = "Kanavalle on pastetettu %d linkkiä, " .
		"joista %d (%.2f %%) oli wanhoja.";
$txt{"chanstat-alltime"} = "Kaikkien aikojen suosikit";
$txt{"chanstat-domain-days"} = "Edellisen %d:n päivän yleisimmän domainit";

$txt{"user-summary"} = "Yhteenveto käyttäjälle %s";
$txt{"user-no-urls"} = "Käyttäjä %s ei ole pastettanut yhtään linkkiä";
$txt{"user-n-latest-urls"} = "%d viimeisintä linkkiä";
$txt{"user-n-best-urls"} = "%d wanhinta linkkiä";
$txt{"user-hist-for"} = "Käyttäjän %s linkkihistoria";
$txt{"user-urls-range"} = "Linkit %d - %d";
$txt{"user-pop-urls-range"} = "Suositut linkit %d - %d";

$txt{"col-address"} = "Osoite";
$txt{"col-first-pasted"} = "Ensipaste";
$txt{"col-times-pasted"} = "Kertaa";
$txt{"col-channel"} = "Kanava";
$txt{"col-score"} = "Pisteet";
$txt{"col-total"} = "Yhteensä";
$txt{"col-rank"} = "Sija";
$txt{"col-nick"} = "Käyttäjä";
$txt{"col-points"} = "Pisteet";
$txt{"col-urls"} = "Linkit";
$txt{"col-points-ratio"} = "Osumatarkkuus";
$txt{"col-fame"} = "Pisteitä";
$txt{"col-shame"} = "Wanhoja";
$txt{"col-wanha"} = "Uusiopaste";
$txt{"col-cheat"} = "Huijattuja";
$txt{"col-busy"} = "Eniten linkkejä";
$txt{"col-domain"} = "Domain";
$txt{"col-share-of-all"} = "Osuus kaikista";
$txt{"col-url"} = "Osoite";
$txt{"col-age"} = "Ikä";

$txt{"short-mon"} = "Ma";
$txt{"short-tue"} = "Ti";
$txt{"short-wed"} = "Ke";
$txt{"short-thu"} = "To";
$txt{"short-fri"} = "Pe";
$txt{"short-sat"} = "La";
$txt{"short-sun"} = "Su";

$txt{"link-go-to"} = "Linkit: ";
$txt{"link-chanstat"} = "kanavatilastot";
$txt{"link-older-urls"} = "vanhemmat linkit";
$txt{"link-scoreboard"} = "pisteet";
$txt{"link-chan"} = "kanavayhteenveto";
$txt{"link-newer"} = "uudemmat";
$txt{"link-older"} = "vanhemmat";
$txt{"link-latest-urls"} = "tuoreimmat linkit";
$txt{"link-user-summary"} = "käyttäjäyhteenveto";

$txt{"txt-generate"} = "-- tämän sivun luominen kesti %.3f sekuntia";
$txt{"txt-any"} = "Mikä tahansa";
$txt{"txt-age-min"} = "Vähintään";
$txt{"txt-age-max"} = "Enintään";
$txt{"txt-days"} = "päivää";
$txt{"txt-search"} = "Etsi";

$txt{"stat-title"} = "Tilastohaku";
$txt{"stat-top-n-users"} = "%d käyttäjää joilla eniten";
$txt{"stat-urls-exactly-like"} = "%s:n kaltaisia linkkejä";
$txt{"stat-urls-like"} = "linkkejä %s";
$txt{"stat-on-any-channel"} = "millä tahansa kanavalla";
$txt{"stat-on-channel"} = "kanavalla %s";
$txt{"stat-aged-max"} = "edellisten %d päivän aikana";
$txt{"stat-aged-min"} = "poislukien edelliset %d päivää";
$txt{"stat-fullstop"} = ".";
$txt{"stat-search"} = "Luo uusi tilasto";
$txt{"stat-no-matches"} = "Ei osumia.";



sub get {
	my ($id) = @_;
	my $t = $txt{"$id"};
	(defined($t)) && return $t;
	return "($id)";
}


return 1;
